# Gimp.Gradient.get_uniform_samples

    @accepts(Gimp.Gradient, int, bool)
    @returns([Gegl.Color])
    def get_uniform_samples(self, num_samples, reverse):
        # Python wrapper for gimp_gradient_get_uniform_samples()

Sample the gradient in uniform parts.

Samples colors uniformly across the gradient. It returns a list of colors for each sample. The minimum number of samples to take is 2, in which case the returned colors will correspond to the `{ 0.0, 1.0 }` positions in the gradient. For example, if the number of samples is 3, the procedure will return the colors at positions `{ 0.0, 0.5, 1.0 }`.

Since 2.2

self

  The gradient.

num_samples

  The number of samples to take.

reverse

  Use the reverse gradient.

Returns